//
//  AppDelegate.h
//  CA Animation Capture
//
//  Created by Matt Long on 2/2/09.
//  Copyright 2009 Skye Road Systems, Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>

#import <OpenGL/gl.h>
#import <QTKit/QTKit.h>

@interface AppDelegate : NSObject {
	IBOutlet NSWindow* window;
  CALayer *layer;
  QTMovie *movie;
  NSTimer *timer;
  int frameCount;
  NSOpenGLContext *g;
  CARenderer *caRenderer;
}


- (IBAction)saveAnimation:(id)sender;
- (void)loadAnimations;
- (void)updateTime:(NSTimer*)theTimer;
- (NSBitmapImageRep*)getCurrentFrame;

#pragma mark -
#pragma mark Animations
- (CAAnimation*)positionAnimation;
- (CAAnimation*)backgroundColorAnimation;
- (CAAnimation*)borderWidthAnimation;
- (CAAnimation*)boundsAnimation;

@end
